cURL
curl --request GET \
--url https://api.truecall.com/sessions/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.truecall.com/sessions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.truecall.com/sessions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"tc_id": "<string>",
"created_at": 1718104009000,
"source_url": "<string>",
"generator_id": "<string>",
"details": {
"ip_v4": "<string>",
"ip_v6": "<string>",
"ip_data": {
"v6": {
"country": "<string>",
"flag": "<string>",
"city": "<string>",
"ip": "<string>",
"is_datacenter": true,
"is_tor": true,
"autonomous_system_organization": "<string>",
"autonomous_system_number": 123,
"is_vpn": true,
"is_in_european_union": true,
"is_bot": true,
"iso_code": "<string>",
"is_proxy": true
},
"v4": {
"country": "<string>",
"flag": "<string>",
"city": "<string>",
"ip": "<string>",
"is_datacenter": true,
"is_tor": true,
"autonomous_system_organization": "<string>",
"autonomous_system_number": 123,
"is_vpn": true,
"is_in_european_union": true,
"is_bot": true,
"iso_code": "<string>",
"is_proxy": true
}
},
"device_model": "<string>",
"device_vendor": "<string>",
"user_agent": "<string>",
"os_name": "<string>",
"os_version": "<string>",
"browser_name": "<string>",
"browser_version": "<string>",
"timezone": 123,
"adblock": true,
"do_not_track": true,
"fingerprint_hash": "<string>"
}
}
}{
"message": "Missing api_key",
"status": "error"
}{
"message": "Invalid api_key",
"status": "error"
}{
"message": "Session not found",
"status": "error"
}Get TrueCall IDs
Get Session
Retrieves details of a session by its ID.
GET
/
sessions
/
{id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the item to retrieve.
⌘I
